package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcContractMeeting;

/**
 * cmc合同会审Service接口
 * 
 * @author cmc
 * @date 2024-04-19
 */
public interface ICmcContractMeetingService 
{
    /**
     * 查询cmc合同会审
     * 
     * @param meetingId cmc合同会审主键
     * @return cmc合同会审
     */
    public CmcContractMeeting selectCmcContractMeetingByMeetingId(String meetingId);

    /**
     * 查询cmc合同会审列表
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return cmc合同会审集合
     */
    public List<CmcContractMeeting> selectCmcContractMeetingList(CmcContractMeeting cmcContractMeeting);

    /**
     * 新增cmc合同会审
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return 结果
     */
    public int insertCmcContractMeeting(CmcContractMeeting cmcContractMeeting);

    /**
     * 修改cmc合同会审
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return 结果
     */
    public int updateCmcContractMeeting(CmcContractMeeting cmcContractMeeting);

    /**
     * 批量删除cmc合同会审
     * 
     * @param meetingIds 需要删除的cmc合同会审主键集合
     * @return 结果
     */
    public int deleteCmcContractMeetingByMeetingIds(String[] meetingIds);

    /**
     * 删除cmc合同会审信息
     * 
     * @param meetingId cmc合同会审主键
     * @return 结果
     */
    public int deleteCmcContractMeetingByMeetingId(String meetingId);
}
